﻿using SciChart.Core.Utility;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SciChartPerfTester.Utilities
{
	public class Log : ISciChartLoggerFacade
	{

		public static void D(string msg)
		{
			DebugLog(msg);
		}

		private static void DebugLog(string msg)
		{
			Debug.WriteLine($"{DateTime.Now.ToString("yyyy/MM/dd HH:mm:ss.fff")}, {System.Threading.Thread.CurrentThread.ManagedThreadId}, {msg}");
		}

		void ISciChartLoggerFacade.Log(string formatString, params object[] args)
		{
			D(string.Format(formatString, args));
		}
	}
}
